%define origname yakuake

Name: kde4-%origname
Version: 2.9.4
Release: alt3

Summary: Very powerful Quake style Konsole
License: GPLv2, GPLv3 or any later version accepted by the membership of KDE e.V.
Group: Terminals

Url: http://extragear.kde.org/apps/yakuake/
Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Source: http://download.berlios.de/yakuake/%origname-%version.tar.bz2

BuildPreReq: bzlib-devel gcc-c++ kde4libs-devel

Requires: kde4base-konsole

%define _unpackaged_files_terminate_build 1
%define __kde4_alternate_placement 1

%description
A KDE konsole which looks like those found in Quake.

This version is built with KDE4.

%prep
%setup -n %origname-%version

%build
%K4build

%install
%K4install

%K4find_lang --with-kde %origname


%files -f %origname.lang
%doc AUTHORS ChangeLog KDE4FAQ NEWS README TODO
%__kde4_bindir/*
%__kde4_xdg_apps/*.desktop
%__kde4_iconsdir/*/*/apps/*
%_K4apps/%origname


%changelog
* Mon Nov 17 2008 Andrey Rahmatullin <wrar@altlinux.ru> 2.9.4-alt3
- remove update_*/clean_* invocations

* Wed Oct 29 2008 Andrey Rahmatullin <wrar@altlinux.ru> 2.9.4-alt2
- Sisyphus build
- rename to kde4-yakuake, enable __kde4_alternate_placement

* Sat Sep 06 2008 Andrey Rahmatullin <wrar@altlinux.ru> 2.9.4-alt1
- 2.9.4

* Sat Aug 09 2008 Andrey Rahmatullin <wrar@altlinux.ru> 2.9.3-alt2
- rebuild

* Mon Jun 09 2008 Andrey Rahmatullin <wrar@altlinux.ru> 2.9.3-alt1
- 2.9.3

* Sat May 10 2008 Andrey Rahmatullin <wrar@altlinux.ru> 2.9.2-alt1
- 2.9.2
- use %%K4find_lang

* Sun Mar 30 2008 Andrey Rahmatullin <wrar@altlinux.ru> 2.9.1-alt1
- 2.9.1

* Mon Mar 10 2008 Andrey Rahmatullin <wrar@altlinux.ru> 2.9-alt1
- 2.9 (KDE4 version)
- Daedalus build

* Sun Feb 10 2008 Andrey Rahmatullin <wrar@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Tue Nov 20 2007 Andrey Rahmatullin <wrar@altlinux.ru> 2.8-alt2
- spec cleanup
- enable _unpackaged_files_terminate_build
- fix packaging of icons (#10173, php-coder@)

* Sat Oct 13 2007 Nick S. Grechukh <gns@altlinux.org> 2.8-alt1
- new version (wrar@ reminded ;)

* Thu May 04 2006 Nick S. Grechukh <gns@altlinux.org> 2.7.5-alt1
- new version. fixed Url and Source. i18n removed (fixed in upstream)

* Mon Feb 13 2006 Nick S. Grechukh <gns@altlinux.org> 2.7.3-alt5
- removed kdedesktop2mdkmenu

* Sun Nov 13 2005 Nick S. Grechukh <gns@altlinux.ru> 2.7.3-alt4
- new version with i18n patch from Albert Valiev

* Mon Oct 24 2005 Nick S. Grechukh <gns@altlinux.org> 2.7.2-alt1
- new version

* Thu Oct 13 2005 Nick S. Grechukh <gns@altlinux.org> 2.6-alt1
- initial build 
